# GridUtilities.jl

_Utility functions for discrete fields defined on grids_

| Build Status |
|:---:|
| [![Build Status](https://travis-ci.com/JuliaIBPM/GridUtilities.jl.svg?branch=master)](https://travis-ci.com/JuliaIBPM/GridUtilities.jl) [![Build status](https://ci.appveyor.com/api/projects/status/6tokpjqb4x8999g0?svg=true)](https://ci.appveyor.com/project/JuliaIBPM/gridutilities-jl) [![codecov](https://codecov.io/gh/JuliaIBPM/GridUtilities.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/JuliaIBPM/GridUtilities.jl) |

## About the package

This package provides various utility functions for working with fields defined on Cartesian grids or on points immersed in these grids. This includes functions for
* Storing histories of these fields
* Creating interpolatable versions of the fields that can be interrogated in function-like manner
* Storing data, writing to file, and loading from file

<!--
**GridUtilities.jl** is registered in the general Julia registry. To install, enter the package manager by typing
```julia
] add GridUtilities
```

Then, in any version, type
```julia
julia> using GridUtilities
```
-->
